Create or publish posting (admin)
POST /admin/postings
POST
/admin/postings
Admin endpoint to create a new posting or publish an existing draft posting
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Admin posting request
object
Responses
Section titled “ Responses ”Posting created successfully
object
data
object
postingId
string
Draft posting published successfully
Invalid request
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Unauthorized
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Forbidden - not an admin
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Posting not found (publish flow)
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Precondition failed - validation error
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Internal server error
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456